import { defineStore } from 'pinia'
import { ref, computed, reactive } from 'vue'
import api from '@/api'

// 定义案例数据存储
export const useCasesStore = defineStore('cases', () => {

    const selectedCase = ref([])

    const getSelectedCase = async () => {
        const res = await api.getSelectedCase()
        selectedCase.value = res.data
    }

    return {
        selectedCase,
        getSelectedCase,
    }
})